Summary: An op5 Monitor plugin to check the status of a megaraid controller
Name: monitor-plugin-check_megaraid
Version: %{op5version}
Release: %{op5release}%{?dist}
License: GPLv2+
Group: op5/system-addons
URL: http://www.op5.com/support
Source0: %name-%version.tar.gz
Prefix: /opt/plugins
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildRequires: gcc

%description
This plugin checks the status of a megaraid controller by inspecting the /proc/megaraid directory.

%prep
%setup -q

%build
%__make


%install
make DESTDIR=%buildroot%prefix install

pushd %buildroot%prefix
	mkdir -p -m 755 suid
	mv check_megaraid suid
	ln -s suid/check_megaraid check_megaraid
popd


%clean
%__make clean
rm -rf %buildroot

%files
%defattr(-,root,root,-)
%attr(755,root,root) /opt/plugins/check_megaraid
%attr(4755,root,root) /opt/plugins/suid/check_megaraid

%changelog
* Wed May 29 2013 Anton Löfgren <alofgren@op5.com>
Inital repository migration packaging

